public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-plugins/passff/
Date: Fri, 23 Mar 2018 21:41:59 +0000 (UTC)	[thread overview]
Message-ID: <1521841107.2c24bf3a88dd5a2988c2b3093b0568a6c503e4cf.mgorny@gentoo> (raw)

commit:     2c24bf3a88dd5a2988c2b3093b0568a6c503e4cf
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Fri Mar  2 23:46:42 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 23 21:38:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c24bf3a

www-plugins/passff: New Package

Closes: https://bugs.gentoo.org/645978
Closes: https://github.com/gentoo/gentoo/pull/7341

 www-plugins/passff/Manifest          |  2 ++
 www-plugins/passff/metadata.xml      | 11 ++++++++++
 www-plugins/passff/passff-1.1.ebuild | 40 ++++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/www-plugins/passff/Manifest b/www-plugins/passff/Manifest
new file mode 100644
index 00000000000..40c9f56bb39
--- /dev/null
+++ b/www-plugins/passff/Manifest
@@ -0,0 +1,2 @@
+DIST passff-1.1.json 176 BLAKE2B 8eddc19cd0c072d25afff5cfa86a95d960ae7b986727099a04a1d983b887922f9ad77e940a2c80e0838a169afe81fa3f6529a901998bb98a6750ac888a09c264 SHA512 e4a4b90fb5323c6dbec339b9e67a7d546c6d7a95754fe03b3a4d96396c28de1caba3068b4e936ee0ce0997f865c8b5e53a3da1fb34f0123a04c5889302c28911
+DIST passff-1.1.py 2256 BLAKE2B fcde1a8d1fe4e8793df46c182a8d717931e7b5ee98ae39a6a03bf32c51528dd7036beefc47dd5839bede47a78bcb7904a745fa38522183057dd7b29e20eae726 SHA512 b5d4aa3d3a9455adece3d291a6e1e05178296e72828ec708cd33541f30e4fbef2385978f24ba27eaefc739e4792f4cbac1830e8dcd15380c7243e11ddbcafe9d

diff --git a/www-plugins/passff/metadata.xml b/www-plugins/passff/metadata.xml
new file mode 100644
index 00000000000..764e78624bc
--- /dev/null
+++ b/www-plugins/passff/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+	<email>contact@hacktivis.me</email>
+</maintainer>
+<maintainer type="project">
+	<email>proxy-maint@gentoo.org</email>
+	<name>Proxy Maintainers</name>
+</maintainer>
+</pkgmetadata>

diff --git a/www-plugins/passff/passff-1.1.ebuild b/www-plugins/passff/passff-1.1.ebuild
new file mode 100644
index 00000000000..3c07171aa77
--- /dev/null
+++ b/www-plugins/passff/passff-1.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_4 )
+
+inherit python-single-r1
+
+DESCRIPTION="zx2c4 pass manager extension for Firefox (Host Binary)"
+HOMEPAGE="https://github.com/passff/passff"
+SRC_URI="
+	https://github.com/passff/passff/releases/download/${PV}/passff.json -> ${P}.json
+	https://github.com/passff/passff/releases/download/${PV}/passff.py -> ${P}.py
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+TARGET_DIR="/usr/lib/mozilla/native-messaging-hosts"
+
+S="${WORKDIR}"
+
+src_unpack() {
+	cp "${DISTDIR}/${P}.json" passff.json || die
+	cp "${DISTDIR}/${P}.py" passff.py || die
+}
+
+src_compile() {
+	sed -i "s|PLACEHOLDER|${EPREFIX}${TARGET_DIR}/${PN}.py|" passff.json || die
+	python_fix_shebang passff.py
+}
+
+src_install() {
+	insinto "${TARGET_DIR}"
+	doins passff.json
+	exeinto "${TARGET_DIR}"
+	doexe passff.py
+}


             reply	other threads:[~2018-03-23 21:42 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-23 21:41 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-06-07  6:26 [gentoo-commits] repo/gentoo:master commit in: www-plugins/passff/ Michał Górny
2018-06-07  6:26 Michał Górny
2018-09-04 20:49 Andreas Sturmlechner
2018-09-04 20:49 Andreas Sturmlechner
2019-02-16 22:30 Patrice Clement
2019-02-16 22:30 Patrice Clement
2019-02-16 22:30 Patrice Clement
2019-05-30 14:31 Michał Górny
2019-05-30 14:31 Michał Górny
2019-06-28  8:38 Michał Górny
2019-06-28  8:38 Michał Górny
2020-01-03 23:05 Matt Turner
2020-09-18 22:27 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1521841107.2c24bf3a88dd5a2988c2b3093b0568a6c503e4cf.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox